package electrosphere.menu.debug;

import electrosphere.engine.Globals;
import electrosphere.renderer.ui.imgui.ImGuiWindow;
import electrosphere.renderer.ui.imgui.ImGuiWindow.ImGuiWindowCallback;
import imgui.ImGui;

/**
 * UI Framework debug menus
 */
public class ImGuiUIFramework {
    
    //window for viewing information about the ui framework
    protected static ImGuiWindow uiFrameworkWindow;

    /**
     * Creates the windows in this file
     */
    protected static void createUIFrameworkWindows(){
        createUIFrameworkDebugWindow();
    }

    /**
     * Client scene entity view
     */
    protected static void createUIFrameworkDebugWindow(){
        uiFrameworkWindow = new ImGuiWindow("UI Framework");
        uiFrameworkWindow.setCallback(new ImGuiWindowCallback() {
            @Override
            public void exec() {
                //ui framework text
                ImGui.text("UI Framework");
                
            }
        });
        uiFrameworkWindow.setOpen(false);
        Globals.renderingEngine.getImGuiPipeline().addImGuiWindow(uiFrameworkWindow);
    }

}
